couchdb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Eugene Pirogov <iamex...@gmail.com>
Subject Point release for 1.x.x branch
Date Tue, 12 Jul 2016 09:33:51 GMT
Hi all,

Current stable release for couchdb is 1.6.1 is almost 2 years old (turns in
september). It supports up to erlang 17.0
<https://github.com/apache/couchdb/blob/1.6.1/configure.ac#L414>. To build
it using erlang > 17.0, one must either patch the source of 1.6.1 (an
instance of which can be seen here
<https://github.com/Homebrew/homebrew-core/blob/master/Formula/couchdb.rb#L249-L378>,
for example), or build 1.x.x from sources (1.x.x was just ensured to be
working well with 18.3 and 19.0, see this
<https://github.com/apache/couchdb/commit/5b9742caaf89bb95bc663110146aa35b16eddb36>
commit)

Can we please have a stable 1.x.x release to simplify building couchdb
against new erlang?:

   - Here are all the changes that would go into release – 1.6.1...1.x.x
   <https://github.com/apache/couchdb/compare/1.6.1...1.x.x>
   - If I'm not mistaken, the release would have to be tagged as 1.7.0 (per
   this
   <https://github.com/apache/couchdb/commit/83cf448f0b340a169f547323f8aacddcfd741603>
   commit).

My motivation for asking this comes from trying to update another recipe on
homebrew, the one for erlang itself. There's an evidence
<https://github.com/Homebrew/homebrew-core/pull/2279#issuecomment-230648544>
that updating erlang to 19.0 on OS X will break couchdb 1.6.1 installation
for all OS X users.

Having a new stable release for couchdb would allow to:

   - include updated release in homebrew couchdb recipe,
   - cleanup the couchdb recipe from an aforementioned patch,
   - un-block the 19.0 release of erlang for all OS X homebrew users.

Please, let me know if for some reason it's impossible to make a release,
and I will work on some short-term solution.

-- 
http://www.gmile.me

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message